## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname sphinx_mdinclude
%global distname sphinx-mdinclude

%global _description %{expand:
sphinx-mdinclude is a simple Sphinx extension that enables including Markdown
documents from within reStructuredText. It provides the `.. mdinclude::`
directive, and automatically converts the content of Markdown documents to
reStructuredText format.}

Name:           python-%{distname}
Version:        0.6.2
Release:        %autorelease
Summary:        Markdown extension for Sphinx

License:        MIT
URL:            https://github.com/omnilib/sphinx-mdinclude
Source:         %{pypi_source}

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

%description %{_description}


%package -n     python3-%{distname}
Summary:        %{summary}
Requires:       python3dist(sphinx)

%description -n python3-%{distname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{srcname}


%check
%pyproject_check_import
%pytest -v


%files -n python3-%{distname} -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
## START: Generated by rpmautospec
* Mon Sep 02 2024 Tomáš Hrnčiar <thrnciar@redhat.com> - 0.6.2-1
- Update to 0.6.2

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 0.5.3-6
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 15 2023 Python Maint <python-maint@redhat.com> - 0.5.3-2
- Rebuilt for Python 3.12

* Sat Mar 18 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.5.3-1
- Initial Fedora package
## END: Generated by rpmautospec
